﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

using System.IO;
using System.Data;
using System.Configuration;
using System.Data.SqlClient;

public partial class CS : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!this.IsPostBack)
        {
            string constr = ConfigurationManager.ConnectionStrings["constr"].ConnectionString;
            using (SqlConnection conn = new SqlConnection(constr))
            {
                using (SqlDataAdapter sda = new SqlDataAdapter("SELECT * FROM tblFiles", conn))
                {
                    DataTable dt = new DataTable();
                    sda.Fill(dt);
                    gvImages.DataSource = dt;
                    gvImages.DataBind();
                }
            }
        }
    }

    protected void OnRowDataBound(object sender, GridViewRowEventArgs e)
    {
        if (e.Row.RowType == DataControlRowType.DataRow)
        {
            DataRowView dr = (DataRowView)e.Row.DataItem;
            string imageUrl = "data:image/jpg;base64," + Convert.ToBase64String((byte[])dr["Data"]);
            (e.Row.FindControl("Image1") as Image).ImageUrl = imageUrl;
        }
    }

    protected void Upload(object sender, EventArgs e)
    {
        byte[] bytes;
        using (BinaryReader br = new BinaryReader(fuUpload.PostedFile.InputStream))
        {
            bytes = br.ReadBytes(fuUpload.PostedFile.ContentLength);
        }
        string constr = ConfigurationManager.ConnectionStrings["constr"].ConnectionString;
        using (SqlConnection conn = new SqlConnection(constr))
        {
            string sql = "INSERT INTO tblFiles VALUES(@Name, @ContentType, @Data)";
            using (SqlCommand cmd = new SqlCommand(sql, conn))
            {
                cmd.Parameters.AddWithValue("@Name", Path.GetFileName(fuUpload.PostedFile.FileName));
                cmd.Parameters.AddWithValue("@ContentType", fuUpload.PostedFile.ContentType);
                cmd.Parameters.AddWithValue("@Data", bytes);
                conn.Open();
                cmd.ExecuteNonQuery();
                conn.Close();
            }
        }

        Response.Redirect(Request.Url.AbsoluteUri);
    }
}